Bug 174963 - USB devices fail after wakeup
USB devices fail after wakeup
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-12-04 23:32 EST by Brian G. Anderson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.15-1.1830_FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-03 09:10:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brian G. Anderson 2005-12-04 23:32:22 EST
Description of problem:
I have an IBM T42p.  With previous kernels I have been able to put the machine
to sleep and then restore it with no adverse affects to the recognition of USB
devices.  With the latest kernel upgrade, after waking the machine no USB
devices will be recognized.  

For example, after a restart, when I plug in a USB mouse I would get the
following messages:
Dec  4 20:22:30 bartali kernel: usb 3-1: new low speed USB device using uhci_hcd
and address 2
Dec  4 20:22:30 bartali kernel: input: USB HID v1.00 Mouse [Cypress Sem PS2/USB
Browser Combo Mouse] on usb-0000:00:1d.1-1
Dec  4 20:22:30 bartali hal.hotplug[3320]: DEVPATH is not set (subsystem input)
Dec  4 20:22:30 bartali ntpd[2511]: synchronized to LOCAL(0), stratum 10
Dec  4 20:22:30 bartali ntpd[2511]: kernel time sync disabled 0041
Dec  4 20:22:33 bartali kernel: usb 3-1: USB disconnect, address 2
Dec  4 20:22:33 bartali hal.hotplug[3368]: DEVPATH is not set (subsystem input)

After sleep and then wake, the kernel issues the following message, when I plug
in the mouse again:
Dec  4 20:23:21 bartali kernel: hub 3-0:1.0: over-current change on port 2
Dec  4 20:23:21 bartali kernel: hub 3-0:1.0: over-current change on port 1
Dec  4 20:23:21 bartali kernel: hub 3-0:1.0: over-current change on port 2
Dec  4 20:23:22 bartali kernel: hub 3-0:1.0: over-current change on port 1

I get the same messages with USB disks.  Also Bluetooth devices, whic appear as
a USB devices, no longer appear.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. put machine to sleep
2. wakeup
3. plug in USB device
Actual results:
messages about overcharge

Expected results:
USB devices are recognized with inserted.

Additional info:
Comment 1 Dave Jones 2006-02-03 02:02:55 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 2 Brian G. Anderson 2006-02-03 09:04:49 EST
This kernel fixes the problems I've had with USB and bluetooth.  After wakeup
bluetooth and usb is operational.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.